LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Functions
nlsupport.h File Reference
`#include "sal/config.h"`
`#include "rtl/locale.h"`
`#include "rtl/textenc.h"`
`#include "sal/saldllapi.h"`

Go to the source code of this file.

## Functions
SAL_DLLPUBLIC rtl_TextEncoding | osl_getTextEncodingFromLocale (rtl_Locale *pLocale)
| Determines the text encoding used by the underlying platform for the specified locale. More...

## Function Documentation

## ◆ osl_getTextEncodingFromLocale()

SAL_DLLPUBLIC rtl_TextEncoding osl_getTextEncodingFromLocale | ( | rtl_Locale * | pLocale | ) |

Determines the text encoding used by the underlying platform for the specified locale.

Parameters

  pLocale | the locale to return the text encoding for. If this parameter is NULL, the default locale of the current process is used.

Returns
  the rtl_TextEncoding that matches the platform specific encoding description or RTL_TEXTENCODING_DONTKNOW if no mapping is available.